Apres installation de MacTex, MacPort 2.5.2., Xcode 9.4.1 avec command line tools et XQuart 2.7.11, la 
commande $sudo port install auto-multiple-choice
me renvoie le message d'erreur suivant:
Warning: xcodebuild exists but failed to execute
Warning: Xcode does not appear to be installed; most ports will likely fail to build.
Warning: All compilers are either blacklisted or unavailable; defaulting to first fallback option
(...)
--->  Computing dependencies for auto-multiple-choice
--->  Building auto-multiple-choice
Error: Failed to build auto-multiple-choice: command execution failed
Error: See 
/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarbal
ls_ports_x11_auto-multiple-choice/auto-multiple-choice/main.log for details.
Error: Follow https://guide.macports.org/#project.tickets to report a bug.
Error: Processing of port auto-multiple-choice failed

Quelqu'un pourrait il m'aider ou me renseigner ou trouver de l'aide? Merci d'avance.
Paulo

History
07/18/2018 09:08 am - Joël Brogniart
Les instructions sur l'installation de Xcode pour MacPorts sont sur https://guide.macports.org/#installing.xcode.

Les instructions sur l'installation d'AMC sont sur [[Installation d'AMC sous macOS avec MacPorts]].

Première chose à faire, comme vous avez l'air de vouloir utiliser MacTeX, c'est de supprimer tout port qui aurait été installé.

<pre>
sudo port uninstall installed
</pre>

Ensuite, il faut installer les outils ligne de commande Xcode.

<pre>
xcode-select --install
</pre>

Cela devrait soit indiquer que les outils sont déjà installés, soit lancer une demande d'installation des outils Xcode.

Il faudra ensuite installer les polices de caractères indiquées dans le guide d'installation d'AMC sous macOS.

Faire la mise à jour de MacPorts (deux fois si nécessaire).

<pre>
sudo port selfupdate
</pre>
Lancer l'installation de la version d'AMC utilisant MacTeX.

<pre>
sudo install auto-multiple-choice +mactex
</pre>

Et attendre patiemment la fin de l'installation.

07/18/2018 09:10 am - Joël Brogniart
PS : Ce n'est pas un bug. De plus le problème concerne MacPorts et non pas AMC. Ce genre de question doit être posé dans les forums.

09/12/2018 09:24 am - Alexis Bienvenüe
- Status changed from New to Resolved

- Target version deleted (1.4.0)

- % Done changed from 0 to 100

02/08/2021 11:16 am - Alexis Bienvenüe
- Status changed from Resolved to Closed
